# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# C:\b\abs_6bsaqa795f\clone\recipe, last modified Mon Jun 10 20:15:37 2024
# ------------------------------------------------

package:
  name: xlwings
  version: 0.31.4
source:
  sha256: de9ccbb35aa90f7e31264a53e7ee8ad2ccce771f055cef1463faa3683880a873
  url: https://pypi.io/packages/source/x/xlwings/xlwings-0.31.4.tar.gz
build:
  entry_points:
    - xlwings = xlwings.cli:main
  number: '0'
  script: C:\\b\\abs_6bsaqa795f\\croot\\xlwings_1718046948745\\_h_env\\python.exe
    -m pip install . --no-deps -vv --no-build-isolation
  string: py312haa95532_0
requirements:
  host:
    - bzip2 1.0.8 h2bbff1b_6
    - ca-certificates 2024.3.11 haa95532_0
    - expat 2.6.2 hd77b12b_0
    - libffi 3.4.4 hd77b12b_1
    - maturin 1.3.0 py312h2bbff1b_0
    - openssl 3.0.13 h2bbff1b_2
    - pip 24.0 py312haa95532_0
    - python 3.12.3 h1d929f7_1
    - setuptools 69.5.1 py312haa95532_0
    - sqlite 3.45.3 h2bbff1b_0
    - tk 8.6.14 h0416ee5_0
    - tzdata 2024a h04d1e81_0
    - vc 14.2 h2eaa2aa_1
    - vs2015_runtime 14.29.30133 h43f2093_3
    - wheel 0.43.0 py312haa95532_0
    - xz 5.4.6 h8cc25b3_1
    - zlib 1.2.13 h8cc25b3_1
  run:
    - python >=3.12,<3.13.0a0
    - pywin32 >=224
test:
  commands:
    - pip check
    - xlwings -h
  imports:
    - xlwings
    - xlwings.conversion
    - xlwings.ext
    - xlwings.quickstart_fastapi
    - xlwings.rest
  requires:
    - flask
    - pip
    - werkzeug
about:
  description: 'xlwings is a BSD-licensed Python library that makes it easy to call
    Python from Excel and vice versa.

    '
  dev_url: https://github.com/xlwings/xlwings
  doc_url: https://docs.xlwings.org/
  home: https://www.xlwings.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Interact with Excel from Python and vice versa
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 6b7ed406-4d67-4449-a404-b926dbade681
  recipe-maintainers:
    - fzumstein
  remote_url: git@github.com:AnacondaRecipes/xlwings-feedstock.git
  sha: 59c812e053d8adea8822f3b8c15d99b6105250da
  skip-lints:
    - missing_wheel
